Internet Explorer Users

Internet Explorer Users

We just wanted to post a quick note to our clients who use Internet Explorer’s web browser to view and navigate our website.  Our site is optimized for Internet Explorer versions 9 and above.  If you are experiencing difficulty with our site especially with the secure e-commerce side, please ensure you are using Internet Explorer 9 or better.  If you have Internet Explorer 8 or lower, our site will not function as intended.  Either upgrade your browser, or use an alternate Google Chrome, Firefox, etc. and this should negate the issues.

Keeping our valued clients informed.

Share this post


{"cart_token":"","hash":"","cart_data":""}